# waypoint.cpp File Reference

Handling of waypoints. More...

`#include "stdafx.h"`
`#include "strings_type.h"`
`#include "rail.h"`
`#include "station_base.h"`
`#include "town.h"`
`#include "waypoint.h"`
`#include "window_func.h"`
`#include "newgrf_station.h"`
`#include "oldpool_func.h"`
`#include "order_func.h"`

Go to the source code of this file.

## Functions
void | UpdateAllWaypointSigns ()
| Update all signs.
void | WaypointsDailyLoop ()
| Daily loop for waypoints.
Station * | ComposeWaypointStation (TileIndex tile)
| This hacks together some dummy one-shot Station structure for a waypoint.
void | DrawWaypointSprite (int x, int y, int stat_id, RailType railtype)
| Draw a waypoint.
void | InitializeWaypoints ()

## Detailed Description

Handling of waypoints.

Definition in file waypoint.cpp.

## Function Documentation

Station* ComposeWaypointStation | ( | TileIndex | tile | ) |

This hacks together some dummy one-shot Station structure for a waypoint.

Parameters:

  | tile | on which to work

Returns:
  pointer to a Station

Definition at line 49 of file waypoint.cpp.

References GetWaypointByTile().

void DrawWaypointSprite | ( | int | x,
|  | int | y,
|  | int | stat_id,
|  | RailType | railtype |
| ) |  |  |

Draw a waypoint.

Parameters:

  | x | coordinate
  | y | coordinate
  | stat_id | station id
  | railtype | RailType to use for

Definition at line 72 of file waypoint.cpp.

References AXIS_X, DrawStationTile(), and STAT_CLASS_WAYP.

void WaypointsDailyLoop | ( |  | ) |

Daily loop for waypoints.

Functions used by the IncreaseDate function.

Definition at line 34 of file waypoint.cpp.